---
updatedAt: 2026-04-30T16:31:03.000Z
agentTools:
  projectIndex: https://borderlessapi-partner.readme.io/llms.txt
---

# Retrieve payment activity between you and your selected internal contact

## Introduction

This endpoint allows you to see the payment activity between you and a select Contact. This includes created payments, received payments, and refunds.

  
*Note:* *The "Try it!" feature located on the right below the code box, does not support GET requests that contain a body. To test out this GET endpoint, please use a third-party application such as Postman.*
  

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Contacts API",
    "description": "# Introduction\nborderless™ is a direct bank to bank payment solution with $0 wire fees. We have created a suite of products to streamline your operations such as Mass Payouts, Accept Bank Payments Online and quick B2B payments. The borderless™ GraphQL API allows payout experiences to be customized to your business’ needs. We have built our solutions for marketplaces, small-businesses, enterprises, and dreamers around the world.\n",
    "termsOfService": "https://getborderless.com/legal/",
    "version": "5.0.0",
    "contact": {
      "name": "API Support",
      "url": "https://getborderless.com/contact/",
      "email": "operations@getborderless.com"
    },
    "x-logo": {
      "url": "https://secure.getborderless.com/static/img/borderless-logo.png",
      "altText": "borderless™ - logo - International direct debit"
    },
    "license": {
      "name": "License",
      "url": "https://getborderless.com/legal/"
    }
  },
  "servers": [
    {
      "url": "https://prod.api.getborderless.com",
      "description": "Production Server"
    },
    {
      "url": "https://sandbox.api.getborderless.com",
      "description": "Sandbox Server"
    }
  ],
  "tags": [
    {
      "name": "Internal Contacts",
      "description": "View and update information about your borderless™ Contacts"
    },
    {
      "name": "External Contacts",
      "description": "View and update information about your External Contacts"
    }
  ],
  "paths": {
    "/contact/PaymentActivity": {
      "get": {
        "tags": [
          "External Contacts"
        ],
        "summary": "Retrieve payment activity between you and your selected external contact",
        "description": "## Introduction\nThis endpoint allows you to see the payment activity between you and a select Contact. This includes created payments received payments, and refunds.\n\n## Data Requirements\nProvide the following data requirements when sending a GET request to the Payment Activity endpoint.\n\nAdditional Header parameter:\n\n\n<div>\n  <style>\n    table {\n      font-size: small;\n    }\n    .required {\n      font-weight: bolder;\n      font-style: italic;\n    }\n    .type {\n      font-style: italic;\n    }\n    .param {\n      font-weight: bolder;\n    }\n  </style>\n  <table>\n    <tr>\n      <th>Parameter</th>\n      <th>Required?</th>\n      <th>Description</th>\n      <th>Type</th>\n    </tr>\n    <tr>\n      <td class=\"param\">Client-Id</td>\n      <td class=\"required\">No</td>\n      <td>Unique identifier of Child Account (required only for Partner). See <a href=\"https://borderlessapi-partner.readme.io/reference/guide\">Authentication Page</a> to learn more. </td>\n      <td class=\"type\">String</td>\n    </tr>\n  </table>\n</div>\n\nThe body of the request should contain the following property:\n<div>\n  <style>\n    table {\n      font-size: small;\n      margin-bottom: 1rem !important;\n    }\n    .required {\n      font-weight: bolder;\n      font-style: italic;\n    }\n    .type {\n      font-style: italic;\n    }\n    .param {\n      font-weight: bolder;\n    }\n  </style>\n  <table>\n    <tr>\n      <th>Parameter</th>\n      <th>Required?</th>\n      <th>Description</th>\n      <th>Type</th>\n    </tr>\n    <tr>\n      <td class=\"param\">handle</td>\n      <td class=\"required\">Yes</td>\n      <td>This is the @handle associated with a contact's account. For an internal contact it appears as @{handle}, \n          for an external contact the format is ^{XXXXX} where X represents randomly generated alphanumeric strings. An example would be ^be39D. </td>\n      <td class=\"type\">String</td>\n    </tr>\n  </table>\n</div> \n\n\n\n*Note:* *The \"Try it!\" feature located on the right below the code box, does not support GET requests that contain a body. To test out this GET endpoint, please use a third-party application such as Postman.*\n  \n\n## Response Body\nThe response will contain the following information:\n\n<div>\n  <style>\n    table {\n      font-size: small;\n    }\n    .required {\n      font-weight: bolder;\n      font-style: italic;\n    }\n    .type {\n      font-style: italic;\n    }\n    .param {\n      font-weight: bolder;\n    }\n  </style>\n  <table>\n    <tr>\n      <th>Parameter</th>\n      <th>Description</th>\n      <th>Type</th>\n    </tr>\n    <tr>\n      <td class=\"param\">paymentReferenceId</td>\n      <td>A unique number generated to identify each individual payment. </td>\n      <td class=\"type\">String</td>\n    </tr>            \n    <tr>\n      <td class=\"param\">createdAt</td>\n      <td>The date when the payment was created (ISO format). </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>            \n      <td class=\"param\">paymentEntryType</td>\n      <td>The type of transaction. Possible values are: CREATED_PAYMENT | RECEIVED_PAYMENT | CREATED_REFUND | RECEIVED_REFUND. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">paymentType</td>\n      <td>The type of payment for this particular trade. Possible values are: LOCAL | INTERNATIONAL. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">refundType</td>\n      <td>The type of refund, if applicable. Possible values are: FULL_REFUND | PARTIAL_REFUND. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">status</td>\n      <td>The current status of the payment. Possible values are: PENDING | SCHEDULED | UNCLAIMED | REQUESTED | PROCESSING | IN_TRANSIT | COMPLETE | CANCELED | DECLINED | FAILED | RETURNED. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">amount</td>\n      <td>The value of the amount of the payment in the payer's currency. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">amountInUSD</td>\n      <td>The value of the amount of the payment in USD currency. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">fee</td>\n      <td>The amount of the fee to be paid by the payer. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">feeInUSD</td>\n      <td>The amount of the fee to be paid by the payer in USD currency. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">totalAmount</td>\n      <td>The amount that was sent plus any fees related to the payment for the payer. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">currency</td>\n      <td>The primary currency used by the payer identified by a three letter code. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">beneficiaryFee</td>\n      <td>The amount of the fee to be paid by the beneficiary if applicable. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">beneficiaryTotalAmount</td>\n      <td>The amount to be sent plus any fees related to the payment for the beneficiary. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">beneficiaryCurrency</td>\n      <td>The three letter code associated with the currency used by the beneficiary. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">ledgerType</td>\n      <td>Ledger type determines if payment is incoming or outgoing. Possible values are: Credit | Debit.</td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">batchId</td>\n      <td>Unique identifier of executed mass payout or mass claim payout. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">clientPaymentRef</td>\n      <td>This field is an optional reference to enrich the payment data for internal tracking or in order to quickly match payments between borderless and third party systems. This reference will be returned in the webhook of payment.</td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">refundReason</td>\n      <td>The reason for sending a refund, if applicable. Possible values are: CUSTOMER_REQUEST | DUPLICATE | BUSINESS_REQUEST | OTHER. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">estimatedArrival</td>\n      <td>The estimated date this payment will arrive in ISO format E.G. 2022-06-14T00:00:00.000Z. borderless™ provides an estimated arrival time based on the payer's currency and the beneficiary's currency. This is an estimate and not an accurate date. The payment may arrive sooner or later than the estimated arrival date. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">paymentDescription</td>\n      <td>A customized message describing the nature and reason for the payment. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">paymentMethod</td>\n      <td>The method in which the payment was sent. For example, from borderless™ Funding Balance.</td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">receiveMethod</td>\n      <td>The method in which the payment was received. For example, to Bank Account.</td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">originalPayment</td>\n      <td>An object that links to the original payment if this payment is a refund. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">originalPayment.paymentReferenceId</td>\n      <td>A unique number generated to identify each individual payment that refers to an original payment if this payment is a refund. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">originalPayment.payerAcceptedFees</td>\n      <td>Identifies who paid the fees on original payment if this payment is a refund. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">contact</td>\n      <td>A JSON object containing information about the beneficiary who is receiving the payment. </td>\n      <td class=\"type\">Object</td>\n    </tr>\n    <tr>\n      <td class=\"param\">contact.account.displayName</td>\n      <td>Display name of contacts account. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">contact.account.accountType</td>\n      <td>Account type of beneficiary. Possible values are BUSINESS | PERSONAL. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">contact.account.slug</td>\n      <td>Beneficiary's borderless™ @handle if they have a borderless™ account. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">contact.account.currency</td>\n      <td>The three letter currency code for benefiaciary's preferred currency. </td>\n      <td class=\"type\">String</td>\n    </tr>\n  </table>\n</div>\n",
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Client-Id",
            "schema": {
              "type": "string"
            },
            "required": false,
            "description": "Unique identifier of Child Account (required only for Partner)."
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Payment_Activity_Request_Body"
              },
              "examples": {
                "Example Retrieve Payment Activity": {
                  "value": {
                    "handle": "^be39D"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Payment_Activity_Successful_Return"
                },
                "examples": {
                  "Example Response": {
                    "value": [
                      {
                        "paymentReferenceId": "UAXXY00000001",
                        "createdAt": "2022-06-14T14:21:49.501Z",
                        "paymentEntryType": "CREATED_PAYMENT",
                        "paymentType": "INTERNATIONAL",
                        "status": "PROCESSING",
                        "amount": 11,
                        "amountInUSD": 11,
                        "totalAmount": 11,
                        "currency": "USD",
                        "beneficiaryFee": 2,
                        "beneficiaryTotalAmount": 8.52,
                        "beneficiaryCurrency": "EUR",
                        "ledgerType": "Debit",
                        "batchId": "15404g-4",
                        "paymentDescription": "payment description",
                        "estimatedArrival": "2022-06-14T00:00:00.000Z",
                        "paymentMethod": "Funding Balance",
                        "receiveMethod": "Bank Account",
                        "contact": {
                          "account": {
                            "displayName": "Business for Travel",
                            "accountType": "BUSINESS",
                            "slug": "Travel-Business",
                            "currency": "EUR"
                          }
                        }
                      },
                      {
                        "paymentReferenceId": "PP2654545566",
                        "createdAt": "2024-10-12T23:35:48.458Z",
                        "paymentEntryType": "CREATED_PAYMENT",
                        "paymentType": "LOCAL",
                        "status": "COMPLETE",
                        "amount": 9,
                        "fee": 0,
                        "amountInUSD": 9,
                        "feeInUSD": 0,
                        "totalAmount": 9,
                        "currency": "EUR",
                        "beneficiaryFee": 0,
                        "beneficiaryTotalAmount": 9,
                        "beneficiaryCurrency": "EUR",
                        "accountNumber": "",
                        "ledgerType": "Debit",
                        "batchId": "",
                        "clientPaymentRef": null,
                        "paymentDescription": "demo payment description",
                        "estimatedArrival": null,
                        "paymentMethod": "PayPal",
                        "receiveMethod": "PayPal",
                        "contact": {
                          "account": {
                            "displayName": "Business for Travel",
                            "accountType": "BUSINESS",
                            "slug": "Travel-Business",
                            "currency": "EUR"
                          }
                        }
                      }
                    ]
                  }
                }
              }
            }
          },
          "400": {
            "description": "Error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Contact with handle @ghostAccount does not exist in your contacts list."
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Authentication Error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string",
                  "example": "Authorization token expired. (I-6007)"
                }
              }
            }
          },
          "404": {
            "description": "Server Error"
          }
        }
      }
    },
    "/contact/paymentActivity": {
      "get": {
        "tags": [
          "Internal Contacts"
        ],
        "summary": "Retrieve payment activity between you and your selected internal contact",
        "description": "## Introduction\n\nThis endpoint allows you to see the payment activity between you and a select Contact. This includes created payments, received payments, and refunds.\n\n\n## Data Requirements\n\nProvide the following data requirements when sending a GET request to the Payment Activity endpoint.\n\n\nAdditional Header parameter:\n\n<div>\n  <style>\n    table {\n      font-size: small;\n    }\n    .required {\n      font-weight: bolder;\n      font-style: italic;\n    }\n    .type {\n      font-style: italic;\n    }\n    .param {\n      font-weight: bolder;\n    }\n  </style>\n  <table>\n    <tr>\n      <th>Parameter</th>\n      <th>Required?</th>\n      <th>Description</th>\n      <th>Type</th>\n    </tr>\n    <tr>\n      <td class=\"param\">Client-Id</td>\n      <td class=\"required\">No</td>\n      <td>Unique identifier of Child Account (required only for Partner). See <a href=\"https://borderlessapi-partner.readme.io/reference/guide\">Authentication Page</a> to learn more. </td>\n      <td class=\"type\">String</td>\n    </tr>\n  </table>\n</div>\n\nThe body of the request should contain the following property:\n\n\n<div>\n  <style>\n    table {\n      font-size: small;\n      margin-bottom: 1rem !important;\n    }\n    .required {\n      font-weight: bolder;\n      font-style: italic;\n    }\n    .type {\n      font-style: italic;\n    }\n    .param {\n      font-weight: bolder;\n    }\n  </style>\n  <table>\n    <tr>\n      <th>Parameter</th>\n      <th>Required?</th>\n      <th>Description</th>\n      <th>Type</th>\n    </tr>\n    <tr>\n      <td class=\"param\">handle</td>\n      <td class=\"required\">Yes</td>\n      <td>This is the @handle associated with a contact's account.For an internal contact it appears as @{handle}. Make sure you send the \n          request without the \"@\" character. For example, if the Contact's @handle is \"@borderless\" simply submit \"borderless\" in the handle field. </td>\n      <td class=\"type\">String</td>\n    </tr>\n  </table>\n</div>\n\n  \n  \n\n*Note:* *The \"Try it!\" feature located on the right below the code box, does not support GET requests that contain a body. To test out this GET endpoint, please use a third-party application such as Postman.*\n  \n\n\n## Response Body\n  \n\n\nThe response will contain the following information:\n\n\n\n<div>\n  <style>\n    table {\n      font-size: small;\n    }\n    .required {\n      font-weight: bolder;\n      font-style: italic;\n    }\n    .type {\n      font-style: italic;\n    }\n    .param {\n      font-weight: bolder;\n    }\n  </style>\n  <table>\n    <tr>\n      <th>Parameter</th>\n      <th>Description</th>\n      <th>Type</th>\n    </tr>\n    <tr>\n      <td class=\"param\">paymentReferenceId</td>\n      <td>A unique number generated to identify each individual payment. </td>\n      <td class=\"type\">String</td>\n    </tr>            \n    <tr>\n      <td class=\"param\">createdAt</td>\n      <td>The date when the payment was created (ISO format). </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>            \n      <td class=\"param\">paymentEntryType</td>\n      <td>The type of transaction. Possible values are: CREATED_PAYMENT | RECEIVED_PAYMENT | CREATED_REFUND | RECEIVED_REFUND. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">paymentType</td>\n      <td>The type of payment for this particular trade. Possible values are: LOCAL | INTERNATIONAL. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">refundType</td>\n      <td>The type of refund, if applicable. Possible values are: FULL_REFUND | PARTIAL_REFUND. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">status</td>\n      <td>The current status of the payment. Possible values are: PENDING | SCHEDULED | UNCLAIMED | REQUESTED | PROCESSING | IN_TRANSIT | COMPLETE | CANCELED | DECLINED | FAILED | RETURNED. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">amount</td>\n      <td>The value of the amount of the payment in the payer's currency. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">amountInUSD</td>\n      <td>The value of the amount of the payment in USD currency. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">fee</td>\n      <td>The amount of the fee to be paid by the payer. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">feeInUSD</td>\n      <td>The amount of the fee to be paid by the payer in USD currency. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">totalAmount</td>\n      <td>The amount that was sent plus any fees related to the payment for the payer. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">currency</td>\n      <td>The primary currency used by the payer identified by a three letter code. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">beneficiaryFee</td>\n      <td>The amount of the fee to be paid by the beneficiary if applicable. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">beneficiaryTotalAmount</td>\n      <td>The amount to be sent plus any fees related to the payment for the beneficiary. </td>\n      <td class=\"type\">Number</td>\n    </tr>\n    <tr>\n      <td class=\"param\">beneficiaryCurrency</td>\n      <td>The three letter code associated with the currency used by the beneficiary. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">ledgerType</td>\n      <td>Ledger type determines if payment is incoming or outgoing. Possible values are: Credit | Debit.</td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">batchId</td>\n      <td>Unique identifier of executed mass payout or mass claim payout. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">clientPaymentRef</td>\n      <td>This field is an optional reference to enrich the payment data for internal tracking or in order to quickly match payments between borderless and third party systems. This reference will be returned in the webhook of payment.</td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">refundReason</td>\n      <td>The reason for sending a refund, if applicable. Possible values are: CUSTOMER_REQUEST | DUPLICATE | BUSINESS_REQUEST | OTHER. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">estimatedArrival</td>\n      <td>The estimated date this payment will arrive in ISO format E.G. 2022-06-14T00:00:00.000Z. borderless™ provides an estimated arrival time based on the payer's currency and the beneficiary's currency. This is an estimate and not an accurate date. The payment may arrive sooner or later than the estimated arrival date. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">paymentDescription</td>\n      <td>A customized message describing the nature and reason for the payment. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">paymentMethod</td>\n      <td>The method in which the payment was sent. For example, from borderless™ Funding Balance.</td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">receiveMethod</td>\n      <td>The method in which the payment was received. For example, to Bank Account.</td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">originalPayment</td>\n      <td>An object that links to the original payment if this payment is a refund. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">originalPayment.paymentReferenceId</td>\n      <td>A unique number generated to identify each individual payment that refers to an original payment if this payment is a refund. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">originalPayment.payerAcceptedFees</td>\n      <td>Identifies who paid the fees on original payment if this payment is a refund. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">contact</td>\n      <td>A JSON object containing information about the beneficiary who is receiving the payment. </td>\n      <td class=\"type\">Object</td>\n    </tr>\n    <tr>\n      <td class=\"param\">contact.account.displayName</td>\n      <td>Display name of contacts account. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">contact.account.accountType</td>\n      <td>Account type of beneficiary. Possible values are BUSINESS | PERSONAL. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">contact.account.slug</td>\n      <td>Beneficiary's borderless™ @handle if they have a borderless™ account. </td>\n      <td class=\"type\">String</td>\n    </tr>\n    <tr>\n      <td class=\"param\">contact.account.currency</td>\n      <td>The three letter currency code for benefiaciary's preferred currency. </td>\n      <td class=\"type\">String</td>\n    </tr>\n  </table>\n</div>\n",
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Client-Id",
            "schema": {
              "type": "string"
            },
            "required": false,
            "description": "Unique identifier of Child Account (required only for Partner)."
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Payment_Activity_Request_Body"
              },
              "examples": {
                "Example Retrieve Payment Activity": {
                  "value": {
                    "handle": "borderless"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Payment_Activity_Successful_Return"
                },
                "examples": {
                  "Example Response": {
                    "value": [
                      {
                        "paymentReferenceId": "UAXXY00000001",
                        "createdAt": "2022-06-14T14:21:49.501Z",
                        "paymentEntryType": "CREATED_PAYMENT",
                        "paymentType": "INTERNATIONAL",
                        "status": "PROCESSING",
                        "amount": 11,
                        "amountInUSD": 11,
                        "totalAmount": 11,
                        "currency": "USD",
                        "beneficiaryFee": 2,
                        "beneficiaryTotalAmount": 8.52,
                        "beneficiaryCurrency": "EUR",
                        "ledgerType": "Debit",
                        "batchId": "15404g-4",
                        "paymentDescription": "payment description",
                        "estimatedArrival": "2022-06-14T00:00:00.000Z",
                        "paymentMethod": "Funding Balance",
                        "receiveMethod": "Bank Account",
                        "contact": {
                          "account": {
                            "displayName": "Business for Travel",
                            "accountType": "BUSINESS",
                            "slug": "Travel-Business",
                            "currency": "EUR"
                          }
                        }
                      },
                      {
                        "paymentReferenceId": "PP2654545566",
                        "createdAt": "2024-10-12T23:35:48.458Z",
                        "paymentEntryType": "CREATED_PAYMENT",
                        "paymentType": "LOCAL",
                        "status": "COMPLETE",
                        "amount": 9,
                        "fee": 0,
                        "amountInUSD": 9,
                        "feeInUSD": 0,
                        "totalAmount": 9,
                        "currency": "EUR",
                        "beneficiaryFee": 0,
                        "beneficiaryTotalAmount": 9,
                        "beneficiaryCurrency": "EUR",
                        "accountNumber": "",
                        "ledgerType": "Debit",
                        "batchId": "",
                        "clientPaymentRef": null,
                        "paymentDescription": "demo payment description",
                        "estimatedArrival": null,
                        "paymentMethod": "PayPal",
                        "receiveMethod": "PayPal",
                        "contact": {
                          "account": {
                            "displayName": "Business for Travel",
                            "accountType": "BUSINESS",
                            "slug": "Travel-Business",
                            "currency": "EUR"
                          }
                        }
                      }
                    ]
                  }
                }
              }
            }
          },
          "400": {
            "description": "Error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Contact with handle @ghostAccount does not exist in your contacts list."
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Authentication Error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string",
                  "example": "Authorization token expired. (I-6007)"
                }
              }
            }
          },
          "404": {
            "description": "Server Error"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "schemas": {
      "Payment_Activity_Request_Body": {
        "type": "object",
        "properties": {
          "handle": {
            "type": "string",
            "description": "This is the @handle associated with a contact's account.For an internal contact it appears as @{handle}. Make sure you send the request without the '@'' character. For example, if the Contact's @handle is '@borderless' simply submit 'borderless' in the handle field."
          }
        },
        "required": [
          "handle"
        ]
      },
      "Payment_Activity_Successful_Return": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "paymentReferenceId": {
              "type": "string",
              "example": "UAXXY00000001",
              "description": "A unique number generated to identify each individual payment."
            },
            "createdAt": {
              "type": "string",
              "example": "2022-06-13T14:21:49.501Z",
              "description": "The date when the payment was created (ISO format)."
            },
            "paymentEntryType": {
              "type": "string",
              "example": "CREATED_PAYMENT",
              "description": "The type of transaction."
            },
            "paymentType": {
              "type": "string",
              "example": "INTERNATIONAL",
              "description": "The type of payment for this particular trade."
            },
            "refundType": {
              "type": "string",
              "description": "The type of refund, if applicable."
            },
            "status": {
              "$ref": "#/components/schemas/Payment_Entry_Status",
              "example": "PROCESSING",
              "description": "The current status of the payment."
            },
            "amount": {
              "type": "number",
              "example": 11,
              "description": "The value of the amount of the payment in the payer's currency."
            },
            "amountInUSD": {
              "type": "number",
              "example": 11,
              "description": "The value of the amount of the payment in USD currency."
            },
            "fee": {
              "type": "number",
              "description": "The amount of the fee to be paid by the payer."
            },
            "feeInUSD": {
              "type": "number",
              "description": "The amount of the fee to be paid by the payer in USD currency."
            },
            "totalAmount": {
              "type": "number",
              "example": 11,
              "description": "The amount that was sent plus any fees related to the payment for the payer."
            },
            "currency": {
              "$ref": "#/components/schemas/List_Of_Supported_Currencies",
              "example": "USD",
              "description": "The primary currency used by the payer identified by a three letter code."
            },
            "beneficiaryFee": {
              "type": "number",
              "example": 2,
              "description": "The amount of the fee to be paid by the beneficiary if applicable."
            },
            "beneficiaryTotalAmount": {
              "type": "number",
              "example": 8.52,
              "description": "The amount to be sent plus any fees related to the payment for the beneficiary."
            },
            "beneficiaryCurrency": {
              "$ref": "#/components/schemas/List_Of_Supported_Currencies",
              "example": "EUR",
              "description": "The three letter code associated with the currency used by the beneficiary."
            },
            "ledgerType": {
              "$ref": "#/components/schemas/Ledger_Type",
              "example": "Debit",
              "description": "Ledger type determines if payment is incoming or outgoing. "
            },
            "refundReason": {
              "type": "string",
              "description": "The reason for sending a refund, if applicable."
            },
            "paymentDescription": {
              "type": "string",
              "example": "Vendor Payment 1",
              "description": "A customized message describing the nature and reason for the payment."
            },
            "estimatedArrival": {
              "type": "string",
              "example": "2022-06-15T00:00:00.000Z",
              "description": "The estimated date this payment will arrive in ISO format E.G. 2022-06-14T00:00:00.000Z. borderless™ provides an estimated arrival time based on the payer's currency and the beneficiary's currency. This is an estimate and not an accurate date. The payment may arrive sooner or later than the estimated arrival date."
            },
            "paymentMethod": {
              "type": "string",
              "example": "Funding Balance",
              "description": "The method in which the payment was sent. For example, from borderless™ Funding Balance."
            },
            "receiveMethod": {
              "type": "string",
              "example": "Bank Account",
              "description": "The method in which the payment was received. For example, to Bank Account."
            },
            "originalPayment": {
              "description": "An object that links to the original payment if this payment is a refund.",
              "type": "object",
              "properties": {
                "paymentReferenceId": {
                  "type": "string",
                  "example": "UAXXY00000002",
                  "description": "A unique number generated to identify each individual payment that refers to an original payment if this payment is a refund."
                },
                "payerAcceptedFees": {
                  "type": "boolean",
                  "example": false,
                  "description": "Identifies who paid the fees on original payment if this payment is a refund."
                }
              }
            },
            "contact": {
              "type": "object",
              "properties": {
                "account": {
                  "type": "object",
                  "properties": {
                    "displayName": {
                      "type": "string",
                      "example": "Business for Travel",
                      "description": "Display name of contacts account."
                    },
                    "accountType": {
                      "type": "string",
                      "example": "BUSINESS",
                      "description": "Account type of beneficiary."
                    },
                    "slug": {
                      "type": "string",
                      "example": "Travel-Business",
                      "description": "Beneficiary's borderless™ @handle if they have a borderless™ account."
                    },
                    "currency": {
                      "$ref": "#/components/schemas/List_Of_Supported_Currencies",
                      "example": "EUR",
                      "description": "The three letter currency code for benefiaciary's preferred currency."
                    }
                  }
                }
              }
            }
          }
        }
      },
      "Ledger_Type": {
        "type": "string",
        "enum": [
          "Debit",
          "Credit"
        ]
      },
      "Payment_Entry_Status": {
        "type": "string",
        "enum": [
          "PENDING",
          "SCHEDULED",
          "UNCLAIMED",
          "REQUESTED",
          "PROCESSING",
          "IN_TRANSIT",
          "COMPLETE",
          "CANCELED",
          "DECLINED",
          "FAILED",
          "RETURNED"
        ]
      },
      "List_Of_Supported_Currencies": {
        "type": "string",
        "enum": [
          "AUD",
          "CAD",
          "USD",
          "GBP",
          "CNH",
          "EUR",
          "HKD",
          "BGN",
          "JOD",
          "THB",
          "NZD",
          "MXN",
          "BHD",
          "QAR",
          "ILS",
          "DKK",
          "HRK",
          "RON",
          "JPY",
          "PLN",
          "ZAR",
          "GHS",
          "MUR",
          "SGD",
          "IDR",
          "AED",
          "PKR",
          "KES",
          "RUB",
          "NOK",
          "ARS",
          "PHP",
          "CNY",
          "INR",
          "TRY",
          "COP",
          "BRL",
          "CHF",
          "NGN",
          "CRC",
          "CLP",
          "RSD",
          "KRW",
          "UAH",
          "BDT",
          "PEN",
          "TND",
          "SEK",
          "MYR",
          "VND",
          "MAD",
          "CZK",
          "SAR",
          "AFN",
          "TWD",
          "MGA",
          "KWD",
          "BOB",
          "PYG",
          "ETB",
          "GTQ",
          "LKR",
          "WST",
          "TZS",
          "UGX",
          "EGP",
          "XPF",
          "XCD",
          "BZD",
          "GYD",
          "MVR",
          "OMR",
          "JMD",
          "DOP",
          "HNL",
          "NIO",
          "HUF",
          "HTG",
          "GEL",
          "KHR",
          "RWF",
          "BBD",
          "FJD",
          "UYU"
        ]
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```